LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   libz can't be found (http://www.linuxquestions.org/questions/linux-software-2/libz-cant-be-found-335210/)

vbraun 06-19-2005 04:31 PM

libz can't be found
 
I'm trying to install kooldock on an Ubuntu 5.0.4 machine. The problem is that it can't find libz (or zlib). I know it's installed though.

Thanks for any help!

Noth 06-19-2005 05:05 PM

Are you trying to compile kooldock? If so, you'll need the -dev packages for zlib and everything else it needs too.

vbraun 06-19-2005 05:10 PM

I have all that.

vbraun 06-20-2005 10:44 AM

Bump :D

Noth 06-20-2005 10:53 AM

Apparently you're missing something. My first guess is all of the KDE crap, IIRC Ubuntu doesn't ship with KDE by default.

vbraun 06-20-2005 10:57 AM

I've installed all the KDE stuff, infact I was posting the thread under KDE.

Is there away to point configure to my libz file?

Noth 06-20-2005 10:59 AM

How about you post the output of the configure script as well as dpkg -l 'zlib*'

vbraun 06-20-2005 11:02 AM

Here it is:
Code:

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name          Version        Description
+++-==============-==============-============================================
un  zlib1          <none>        (no description available)
un  zlib1-dev      <none>        (no description available)
ii  zlib1g        1.2.2-4ubuntu1 compression library - runtime
ii  zlib1g-dev    1.2.2-4ubuntu1 compression library - development
un  zlib1g-udeb    <none>        (no description available)


Noth 06-20-2005 11:05 AM

Well the Debian package for zlib1g-dev puts the include in /usr/include, if the configure script can't find it there then it's extremely broken. Post the output of the configure script as well.

vbraun 06-20-2005 11:06 AM

The entire thing? :eek:

Edit: Actually it seems to get past libz just fine now.

Edit2: I just have some uninstalled stuff but other then that I think I'm fine. Thanks for your help!


All times are GMT -5. The time now is 06:04 PM.